Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Interface TCleanup

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TCleanupImpl

    public interface TCleanup

extends org.apache.xmlbeans.XmlObject

An XML tCleanup(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

Nested Class Summary
`static interface` | `TCleanup.Category` An XML category(@http://www.apache.org/ode/schemas/dd/2007/03).
`static class` | `TCleanup.Factory` A factory class with static methods for creating instances of this type.
`static interface` | `TCleanup.On` An XML on(@).

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`void` | `addCategory(TCleanup.Category.Enum category)` Appends the value as the last "category" element
`TCleanup.Category` | `addNewCategory()` Appends and returns a new empty value (as xml) as the last "category" element
`TCleanup.Category.Enum[]` | `getCategoryArray()` Deprecated.
`TCleanup.Category.Enum` | `getCategoryArray(int i)` Gets ith "category" element
`java.util.List<TCleanup.Category.Enum>` | `getCategoryList()` Gets a List of "category" elements
`TCleanup.On.Enum` | `getOn()` Gets the "on" attribute
`void` | `insertCategory(int i, TCleanup.Category.Enum category)` Inserts the value as the ith "category" element
`TCleanup.Category` | `insertNewCategory(int i)` Inserts and returns a new empty value (as xml) as the ith "category" element
`void` | `removeCategory(int i)` Removes the ith "category" element
`void` | `setCategoryArray(int i, TCleanup.Category.Enum category)` Sets ith "category" element
`void` | `setCategoryArray(TCleanup.Category.Enum[] categoryArray)` Sets array of all "category" element
`void` | `setOn(TCleanup.On.Enum on)` Sets the "on" attribute
`int` | `sizeOfCategoryArray()` Returns number of "category" element
`TCleanup.Category[]` | `xgetCategoryArray()` Deprecated.
`TCleanup.Category` | `xgetCategoryArray(int i)` Gets (as xml) ith "category" element
`java.util.List<TCleanup.Category>` | `xgetCategoryList()` Gets (as xml) a List of "category" elements
`TCleanup.On` | `xgetOn()` Gets (as xml) the "on" attribute
`void` | `xsetCategoryArray(int i, TCleanup.Category category)` Sets (as xml) ith "category" element
`void` | `xsetCategoryArray(TCleanup.Category[] categoryArray)` Sets (as xml) array of all "category" element
`void` | `xsetOn(TCleanup.On on)` Sets (as xml) the "on" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getCategoryList

    java.util.List<TCleanup.Category.Enum> getCategoryList()

  Gets a List of "category" elements

### getCategoryArray

    TCleanup.Category.Enum[] getCategoryArray()

  Deprecated.

  Gets array of all "category" elements

### getCategoryArray

    TCleanup.Category.Enum getCategoryArray(int i)

  Gets ith "category" element

### xgetCategoryList

    java.util.List<TCleanup.Category> xgetCategoryList()

  Gets (as xml) a List of "category" elements

### xgetCategoryArray

    TCleanup.Category[] xgetCategoryArray()

  Deprecated.

  Gets (as xml) array of all "category" elements

### xgetCategoryArray

    TCleanup.Category xgetCategoryArray(int i)

  Gets (as xml) ith "category" element

### sizeOfCategoryArray

    int sizeOfCategoryArray()

  Returns number of "category" element

### setCategoryArray

    void setCategoryArray(TCleanup.Category.Enum[] categoryArray)

  Sets array of all "category" element

### setCategoryArray

    void setCategoryArray(int i,
                          TCleanup.Category.Enum category)

  Sets ith "category" element

### xsetCategoryArray

    void xsetCategoryArray(TCleanup.Category[] categoryArray)

  Sets (as xml) array of all "category" element

### xsetCategoryArray

    void xsetCategoryArray(int i,
                           TCleanup.Category category)

  Sets (as xml) ith "category" element

### insertCategory

    void insertCategory(int i,
                        TCleanup.Category.Enum category)

  Inserts the value as the ith "category" element

### addCategory

    void addCategory(TCleanup.Category.Enum category)

  Appends the value as the last "category" element

### insertNewCategory

    TCleanup.Category insertNewCategory(int i)

  Inserts and returns a new empty value (as xml) as the ith "category" element

### addNewCategory

    TCleanup.Category addNewCategory()

  Appends and returns a new empty value (as xml) as the last "category" element

### removeCategory

    void removeCategory(int i)

  Removes the ith "category" element

### getOn

    TCleanup.On.Enum getOn()

  Gets the "on" attribute

### xgetOn

    TCleanup.On xgetOn()

  Gets (as xml) the "on" attribute

### setOn

    void setOn(TCleanup.On.Enum on)

  Sets the "on" attribute

### xsetOn

    void xsetOn(TCleanup.On on)

  Sets (as xml) the "on" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD